Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class SubjectKeyIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.SubjectKeyIdentifier

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SubjectKeyIdentifier
extends ASN1Object

The SubjectKeyIdentifier object. SubjectKeyIdentifier::= OCTET STRING

Constructor Summary
`protected` | `SubjectKeyIdentifier(ASN1OctetString keyid)`
`` | `SubjectKeyIdentifier(byte[] keyid)`

Method Summary
`static SubjectKeyIdentifier` | `fromExtensions(Extensions extensions)`
`static SubjectKeyIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static SubjectKeyIdentifier` | `getInstance(java.lang.Object obj)`
`byte[]` | `getKeyIdentifier()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectKeyIdentifier

    public SubjectKeyIdentifier(byte[] keyid)

### SubjectKeyIdentifier

    protected SubjectKeyIdentifier(ASN1OctetString keyid)

Method Detail

### getInstance

    public static SubjectKeyIdentifier getInstance(ASN1TaggedObject obj,
                                                   boolean explicit)

### getInstance

    public static SubjectKeyIdentifier getInstance(java.lang.Object obj)

### fromExtensions

    public static SubjectKeyIdentifier fromExtensions(Extensions extensions)

### getKeyIdentifier

    public byte[] getKeyIdentifier()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD